@charset "UTF-8";
/* =====================
  Custom properties
===================== */
:root {
  /* ==== レイアウト ==== */
  --section-both: 16rem;
  --section-both02: 16rem;
  --section-top: 56rem;
  --section-bottom: 64rem;
}
.inner {
  padding: var(--section-top) var(--section-both) var(--section-bottom);
}
.inner02 {
  padding: var(--section-top) var(--section-both02) var(--section-bottom);
}
.inner--both {
  padding-inline: var(--section-both);
}
.inner--noTop {
  padding-inline: var(--section-both);
  padding-block-end: var(--section-bottom);
}

.enclosure {
  background: var(--background-image-base) repeat;
  background-attachment: fixed;
  min-height: calc(100vh - var(--margin-around) * 2);
  padding: calc(var(--margin-around02) + 2px);
  position: relative;
  &::after {
    content: '';
    position: absolute;
    top: var(--margin-around02);
    left: var(--margin-around02);
    width: calc(100% - var(--margin-around02) * 2);
    height: calc(100% - var(--margin-around02) * 2);
    pointer-events: none;
    border: var(--color-primary) solid 2px;
  }
}

.pc[class] {
  display: none;
}

/* =====================
  main
===================== */
/* タイトル */
.section-title {
  margin-bottom: 28rem;
  .en {
    color: var(--color-accent);
    font-size: 13rem;
    display: flex;
    column-gap: 5rem;
    padding-bottom: 2rem;
    &::before {
      content: '';
      display: inline-block;
      width: 8rem;
      height: 2px;
      background-color: var(--color-accent);
      margin-top: calc((1lh - 2px) / 2);
    }
  }
  .ja {
    font-size: 24rem;
    font-weight: var(--bold);
    line-height: 1.4;
    letter-spacing: -0.02em;
  }
}

/* ボタン */
a.btn,
button.btn {
  width: fit-content;
  display: flex;
  align-items: center;
  column-gap: 8rem;
  border: solid 2px var(--color-primary);
  color: var(--color-primary);
  font-weight: var(--bold);
  padding: 12rem 16rem;
  margin-top: 40rem;
  border-radius: calc(1px / 0);
  transition: all 0.3s ease;
  &.center {
    margin-left: auto;
    margin-right: auto;
  }
  &::after {
    content: '';
    display: inline-block;
    width: 20rem;
    height: 20rem;
    background: url(/assets/img/common/icon-arrow.svg) no-repeat center / contain;
    transition: all 0.3s ease;
  }
  &.--plus {
    &::after {
      background-image: url(/assets/img/common/icon-plus.svg);
    }
  }
  &:hover {
    opacity: 1;
    background-color: var(--color-primary);
    color: var(--color-white);
    &::after {
      background-image: url(/assets/img/common/icon-arrow-w.svg);
    }
    &.--plus {
      &::after {
        background-image: url(/assets/img/common/icon-plus-w.svg);
      }
    }
  }
  .btn-text {
    display: inline-block;
    min-width: 160rem;
    text-align: center;
    font-size: 15rem;
    font-weight: var(--bold);
  }
}

.btn-link {
  padding: 20rem 24rem;
  border-top: solid 2px var(--color-primary);
  border-bottom: solid 2px var(--color-primary);
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: 16rem;
  font-weight: var(--bold);
  &::after {
    content: '';
    display: inline-block;
    background: url(/assets/img/common/icon-arrow.svg) no-repeat center / contain;
    width: 20rem;
    height: 20rem;
  }
}

/* 見出し */
.headline {
  display: inline-flex;
  flex-direction: column;
  position: relative;
  z-index: 2;
}

.headline-bg {
  position: relative;
  display: block;
  overflow: hidden;
  width: fit-content;
  animation: text-bg 1.5s cubic-bezier(0.22, 1, 0.36, 1) forwards;
  &:nth-child(n + 2) {
    margin-top: -1rem;
  }
  &::before {
    content: '';
    background: var(--color-primary);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}
.headline-text {
  position: relative;
  z-index: 1;
  padding: 4rem 10rem;
  display: block;
  color: var(--color-white);
  font-size: 22rem;
  font-weight: var(--bold);
  line-height: 1.4;
  letter-spacing: -0.03em;
}
@keyframes text-bg {
  0% {
    -webkit-clip-path: inset(0 100% 0 0);
    clip-path: inset(0 100% 0 0);
  }
  100% {
    -webkit-clip-path: inset(0);
    clip-path: inset(0);
  }
}

/* =====================
  header
===================== */
:root {
  --header-H: 72rem;
}
.header {
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  justify-content: space-between;
  padding: 8rem;
  height: var(--header-H);
  &.is-static {
    position: static;
    transform: none;
  }
  &.is-fixed {
    transform: translateY(0);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    transition: transform 0.3s ease;
    z-index: 1000;
  }
  &.is-hidden {
    transform: translateY(-100%);
  }
}
.header-enclosure {
  display: contents;
}
.header-nav__block,
.header-tel {
  display: none;
}
.header-logo {
  > a {
    display: inline-flex;
    align-content: center;
    height: 100%;
    background-color: var(--color-white);
    padding: 8rem 12rem;
  }
}
.header-logo__image {
  width: 140rem;
  aspect-ratio: 199 / 50;
}
.header-menu {
  border: solid 2px var(--color-primary);
  border-radius: 50%;
  width: 48rem;
  height: 48rem;
}
.header-menu__bar {
  > span {
    display: block;
    width: 20rem;
    height: 2px;
    background-color: var(--color-primary);
    margin: 5rem auto;
    transition: background-color 0.3s ease;
    &:nth-child(2) {
      width: 28rem;
    }
  }
}

/* ヘッダー固定時 */
.is-fixed {
  &.header {
    background: var(--background-image-base) repeat;
    width: 100%;
    height: var(--header-H);
    border-bottom: 2px solid var(--color-primary);
  }
}

/* open */
body {
  &:has(header.is-open) {
    overflow: hidden;
    height: 100%;
  }
}
.is-open {
  &.header {
    position: fixed;
    inset: 0;
    height: 100%;
    width: 100%;
    background: var(--background-image-base) repeat;
    background-attachment: fixed;
    z-index: 9999;
    padding: calc(var(--margin-around) + var(--margin-around02) + 2rem);
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr;
    align-items: inherit;
    justify-content: inherit;
    border-bottom: none;
    &::before,
    &::after {
      content: '';
      position: absolute;
      z-index: -1;
    }
    &::before {
      inset: var(--margin-around);
      background: var(--background-image-green) repeat;
      background-attachment: fixed;
    }
    &::after {
      inset: calc(var(--margin-around) + var(--margin-around02));
      border: solid 2rem var(--color-white);
    }
  }
  .header-logo {
    display: none;
  }
  .header-nav__block {
    order: 2;
    display: block;
    overflow-y: scroll;
  }
  .header-nav__item {
    border-top: var(--border) rgb(255 255 255 /0.15);
  }
  .header-nav__link {
    color: var(--color-white);
    padding: 16rem 32rem;
  }
  .header-nav__link--contact {
    margin: 40rem auto 0;
    padding: 12rem 16rem;
    border: solid 2px var(--color-white);
    border-radius: calc(1px / 0);
    width: fit-content;
    min-width: 220rem;
    text-align: center;
    color: var(--color-white);
  }
  .header-nav__link,
  .header-nav__link--contact {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    column-gap: 8rem;
    font-weight: var(--bold);
    &::after {
      content: '';
      display: inline-block;
      background: url(/assets/img/common/icon-arrow-w.svg) no-repeat center / contain;
      width: 20rem;
      height: 20rem;
    }
  }
  .header-left {
    order: 1;
    color: var(--color-white);
    display: block;
    padding: 12rem 8rem;
    text-align: right;
  }
  .header-menu {
    border-color: var(--color-white);
  }
  .header-menu__bar {
    position: relative;
    width: 100%;
    height: 100%;
    > span {
      margin: 0;
      position: absolute;
      background-color: var(--color-white);
      width: 28rem;
      top: calc(50% - 2px / 2);
      left: calc(50% - 28rem / 2);
      &:first-child {
        transform: rotate(45deg);
      }
      &:nth-child(2) {
        display: none;
      }
      &:nth-child(3) {
        transform: rotate(-45deg);
      }
    }
  }
  .drawer-curtain {
    animation: curtainDown 0.5s ease forwards;
    transform-origin: top;
  }
}
.drawer-curtain {
  position: fixed;
  inset: 0;
  background: var(--color-primary);
  transform: scaleY(0);
  opacity: 0;
  pointer-events: none;
  z-index: 99999;
}
@keyframes curtainDown {
  0% {
    transform: scaleY(1);
    opacity: 1;
  }
  60% {
    transform: scaleY(0);
    opacity: 1;
  }
  100% {
    transform: scaleY(0);
    opacity: 0;
  }
}

/* =====================
  gallery
===================== */
.gallery-link__banner {
  display: block;
  border: solid 2px var(--color-primary);
}
.gallery-link__block {
  padding: 32rem 24rem 24rem;
  border-bottom: solid 2px var(--color-primary);
  background: var(--background-image-white) repeat;
}
.gallery-link__title {
  line-height: 1.6;
  font-weight: var(--bold);
  letter-spacing: -0.03em;
}
.gallery-link__title--sub {
  font-size: 14rem;
  margin-bottom: 8rem;
  display: block;
}
.gallery-link__title--main {
  font-size: 26rem;
  margin-bottom: 16rem;
}
.gallery-link__btn {
  display: block;
  width: 40rem;
  height: 40rem;
  border-radius: 50%;
  border: solid 2px var(--color-primary);
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 8rem 0 0 auto;
  &::after {
    content: '';
    display: inline-block;
    width: 20rem;
    height: 20rem;
    background: url(/assets/img/common/icon-arrow.svg) no-repeat center / contain;
  }
}
.gallery-link__image {
  width: 100%;
  aspect-ratio: 322 / 185;
}

/* =====================
  footer
===================== */
.footer {
  border-top: solid 2px var(--color-primary);
  .inner--both {
    padding-top: 40rem;
  }
}
.footer__wrapper {
  display: flex;
  flex-direction: column;
  row-gap: 20rem;
}
.footer-info {
  order: 2;
  width: fit-content;
  margin-inline: auto;
}
.footer-logo__link {
  display: inline-block;
  padding: 16rem 24rem;
  background-color: var(--color-white);
}
.footer-logo__image {
  width: 199rem;
  aspect-ratio: 199 / 50;
}
.footer-info__address {
  margin-top: 8rem;
  font-size: 22rem;
  width: fit-content;
  margin-inline: auto;
}
.footer-info--fax {
  margin-top: 4rem;
}
.footer-info__kind {
  font-size: 16rem;
  min-width: 32rem;
  display: inline-block;
  margin-right: 4rem;
}
.footer-nav {
  order: 1;
}
.footer-nav__list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-auto-rows: auto;
  align-items: center;
  gap: 24rem 40rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.03em;
}
.footer-nav__item,
.footer-nav__link {
  text-align: center;
}
.footer-nav__item--contact {
  margin-top: 26rem;
  grid-column: 1 / 3;
  text-align: center;
  .footer-nav__link {
    display: inline-block;
    color: var(--color-white);
    background-color: var(--color-primary);
    width: 184rem;
    padding: 12rem 48rem;
    border-radius: calc(1px / 0);
  }
}
.footer-subnav__list {
  margin-top: 24rem;
}
.footer-subnav__item {
  text-align: center;
}
.footer-subnav__link {
  font-size: 13rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.03em;
  text-align: center;
}
.footer-copyright {
  text-align: center;
  font-size: 11rem;
  padding-block: 32rem;
}

/* =====================
  2nd
===================== */
/* ページタイトル */
.page-title__inner {
  padding-inline: var(--section-both);
}
.page-title__block {
  padding-block-start: 28rem;
}
.page-title__text {
  margin-bottom: 24rem;
  .en {
    display: block;
    font-size: 14rem;
    text-transform: uppercase;
    margin-bottom: 8rem;
    color: var(--color-accent);
  }
  .ja {
    font-size: 28rem;
    font-weight: var(--bold);
    line-height: 1.4;
    letter-spacing: -0.03em;
  }
}

/* パンくず */
.bread {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-wrap: wrap;
  gap: 6rem 10rem;
  padding-bottom: 8rem;
}
.bread__item {
  font-size: 13rem;
  font-weight: var(--bold);
  display: flex;
  align-items: center;
  gap: 10rem;
  &:not(:last-child) {
    &::after {
      content: '';
      background-color: var(--color-accent);
      width: 5rem;
      height: 5rem;
      display: inline-block;
    }
  }
}
.page-title__image {
  width: 100%;
  aspect-ratio: 326 / 210;
}

/* タイトル */
.section-title02 {
  font-weight: var(--bold);
  line-height: 1.4;
  letter-spacing: -0.02em;
  padding-bottom: 19rem;
  position: relative;
  margin-bottom: 20rem;
  &::before,
  &::after {
    content: '';
    position: absolute;
    height: 3rem;
    left: 0;
    bottom: 0;
  }
  &::before {
    width: 100%;
    background-color: rgb(89 93 38 /0.16);
  }
  &::after {
    width: 40rem;
    background-color: var(--color-accent);
  }
  .enclosed {
    font-size: 11rem;
    margin-bottom: 8rem;
    display: inline-block;
    padding: 0 6rem;
    border-radius: 2rem;
    border: var(--border) var(--color-primary);
  }
  .ja {
    font-size: 22rem;
  }
}

.section-title03 {
  font-size: 20rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.02em;
  margin-bottom: 12rem;
}

/* リスト */
.list-item {
  padding-block: 16rem;
  border-bottom: var(--border) var(--color-list-border);
  &:first-child {
    padding-block-start: 0;
  }
}
.list-item__title {
  font-weight: var(--bold);
  margin-bottom: 6rem;
}
.list-item__body--text {
  + .list-item__body--text {
    margin-top: 10rem;
  }
}
